Subject: bug#32106: 25.2: tabulated-list-resize-current-column [PATCH INCLUDED]

From: Eli Zaretskii <[email-masked]>
Date: Mon, 09 Jul 2018 20:22:05 +0300

> Date: Mon, 9 Jul 2018 11:56:11 -0400
> From: Boruch Baum <[email-masked]>
> 
> Attached is a proposed contribution for the package `tabulated-list.el'.
> 
> The idea is to offer to emacs users a feature long-common in GUI
> tabulated list widgets - the ability to dynamically resize columns. I
> only use emacs in nox, so in my selfishness (and in my ignorance of most
> programming things GUI) that's all this function provides, but it's a
> start for anyone wanting to extend to that environment.
> 
> An obvious follow-up idea is a companion function to change the
> sequence of columns, also a long-common feature in GUI environments.

Boruch, this patch sits in my queue since the day you first posted
it.  And the reason is that the feature is incomplete, as even you
point out: such features should support dragging by mouse and other
GUI niceties.  It also lacks a NEWS entry.

If you or someone else has time and motivation to make this feature
more complete and add the necessary docs, I will gladly push the
changes.  Otherwise, it will have to wait until I have a rainy day
(which could take a while ;-).

Thanks.